import java.io.IOException;

/**
 *
 * CSMConfig launches a configuration servlet that generates
 * the csm.properties file for Comskip Monitor.
 *
 * Revision history:
 *  Oct 14, 2006 steep: Initial version
 */
public class CSMConfig
{

  public static void main(String[] args)
  {
      try
      {
        CSMConfigServlet servlet = new CSMConfigServlet();
        
        Runtime runtime = Runtime.getRuntime();
        String[] cmd = new String[4];
        cmd[0] = "cmd.exe";
        cmd[1] = "/C";
        cmd[2] = "start";
        cmd[3] = "http://localhost:8181/";
        String wait = "dang, I gota wait";
        try
        {
          runtime.exec(cmd).waitFor();
          while(servlet.isWorking)
          {
            wait = "dang, I gota wait";
            synchronized (wait)
            {
              wait.wait(1000); //1 second
            }
          }
        }
        catch (IOException ioe)
        {ioe.printStackTrace();}
        catch (InterruptedException ie)
        {ie.printStackTrace();}
      }
      catch(Exception e)
      {
        System.out.println("Unable to start administrative server for Comskip Monitor");
      }
  }
}