
public class ComskipMonitorThread extends Thread {
    
    private static final long oneMinute = 60000; //In milliseconds

    public ComskipMonitorThread(String str){
        super(str);
    }
    
    public void run() {
        System.out.println("Starting Monitor thread " + getName());

        ComskipMonitor csMon = new ComskipMonitor(getName());
        synchronized (csMon)
        {
          while (true)
          {
            csMon.execute();
            try
            {
                Thread.sleep(oneMinute * csMon.getTimeBetweenChecks());
            }
            catch (InterruptedException ie)
            {
              //If interrupted, then continue
              break;
            }
          }
        }
    }
}
